# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

ANALYSISTESTSSOURCES = \
  ../Analysis/unittests/AnalysisBondsUnitTest.cpp \
  ../Analysis/unittests/AnalysisCorrelationToPointUnitTest.cpp \
  ../Analysis/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp  \
  ../Analysis/unittests/AnalysisPairCorrelationUnitTest.cpp \
  ../Analysis/unittests/CountBondsUnitTest.cpp

ANALYSISTESTSHEADERS = \
  ../Analysis/unittests/AnalysisBondsUnitTest.hpp \
  ../Analysis/unittests/AnalysisCorrelationToPointUnitTest.hpp \
  ../Analysis/unittests/AnalysisCorrelationToSurfaceUnitTest.hpp  \
  ../Analysis/unittests/AnalysisPairCorrelationUnitTest.hpp \
  ../Analysis/unittests/CountBondsUnitTest.hpp

ANALYSISTESTS = \
  AnalysisBondsUnitTest \
  AnalysisCorrelationToPointUnitTest \
  AnalysisCorrelationToSurfaceUnitTest \
  AnalysisPairCorrelationUnitTest \
  CountBondsUnitTest

TESTS += $(ANALYSISTESTS)
check_PROGRAMS += $(ANALYSISTESTS) 
noinst_PROGRAMS += $(ANALYSISTESTS)

ANALYSISLIBS = \
	../libMolecuilderAnalysis.la \
	../libMolecuilderUI.la \
	../libMolecuilder.la \
	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
	${CodePatterns_LIBS} \
	$(BOOST_LIB)

AnalysisBondsUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Analysis/unittests/AnalysisBondsUnitTest.cpp \
	../Analysis/unittests/AnalysisBondsUnitTest.hpp
AnalysisBondsUnitTest_LDADD = ${ANALYSISLIBS}

AnalysisCorrelationToPointUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Analysis/unittests/AnalysisCorrelationToPointUnitTest.cpp \
	../Analysis/unittests/AnalysisCorrelationToPointUnitTest.hpp
AnalysisCorrelationToPointUnitTest_LDADD = ${ANALYSISLIBS}

AnalysisCorrelationToSurfaceUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Analysis/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp \
	../Analysis/unittests/AnalysisCorrelationToSurfaceUnitTest.hpp
AnalysisCorrelationToSurfaceUnitTest_LDADD = ${ANALYSISLIBS}

AnalysisPairCorrelationUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Analysis/unittests/AnalysisPairCorrelationUnitTest.cpp \
	../Analysis/unittests/AnalysisPairCorrelationUnitTest.hpp
AnalysisPairCorrelationUnitTest_LDADD = ${ANALYSISLIBS}

CountBondsUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Analysis/unittests/CountBondsUnitTest.cpp \
	../Analysis/unittests/CountBondsUnitTest.hpp
CountBondsUnitTest_LDADD = ${ANALYSISLIBS}


#AUTOMAKE_OPTIONS = parallel-tests
